Deactivates the dynamic role on the given user by the role_id that is passed

Reads the user_id, and tenant_id from the token that is passed User's auth will be rebuilt without the dynamic role's role/permission This endpoint is internal only and will be used by identity service to rebuild the users auth token

POST /users/roles/dynamic/deactivate

Operation id: RoleService_DeactivateDynamicRole

Tags: RoleService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
roleIdstringNo
scopestringNo
domainstringNo
{
  "type": "object",
  "properties": {
    "roleId": {
      "type": "string"
    },
    "scope": {
      "type": "string"
    },
    "domain": {
      "type": "string"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
userIdstringNo
permissionAutharrayNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "userId": {
      "type": "string"
    },
    "permissionAuth": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "permissionId": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "scope": {
            "type": "string"
          },
          "type": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "grants": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "tenants": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "targets": {
            "type": "array",
            "items": {
              "type": "object"
            }
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}